Friday, December 17, 2021

PC, NX, Close open window without a message in NX

 NX, Close open window without a message in NX

The code is used in the journal of NX
This code can close open window without a message.

 

Imports System
Imports NXOpen

Module NXJournal
Sub Main (ByVal args() As String)

Dim theSession As NXOpen.Session = NXOpen.Session.GetSession()
Dim workPart As NXOpen.Part = theSession.Parts.Work

Dim displayPart As NXOpen.Part = theSession.Parts.Display
workPart.Close(NXOpen.BasePart.CloseWholeTree.False, NXOpen.BasePart.CloseModified.UseResponses, Nothing)

workPart = Nothing
displayPart = Nothing
Dim markId1 As NXOpen.Session.UndoMarkId = Nothing
markId1 = theSession.SetUndoMark(NXOpen.Session.MarkVisibility.Visible, "Change Displayed Part")

End Sub
End Module 



Copyright2021olympithecus

No comments:

Post a Comment

Copyright 2021 - . | Jessica | All Rights Reserved.

Popular Posts